<?php
if ( !class_exists('WPEKA_Dashboard_Notice') ) {
	class WPEKA_Dashboard_Notice
	{

	public function __construct() 
	{
		add_action('admin_notices', array($this,'wpeka_admin_notice'));
	}

	function wpeka_admin_notice()
	{
		global $pagenow;
	
		$plugin_data = get_plugin_data(USS_PLUGIN_FILE_PATH);	
                
		$plugin_name = strtolower($plugin_data['Name']);

		$plugin_name=preg_replace('/\s+/','_',$plugin_name);;
       
		$wpeka_plugin_path = str_replace($plugin_name,'wpeka/wpeka.php',USS_PLUGIN_DIR_PATH);
		?>
		<style>
				.wpeka_dashboard_wrapper{
				width: 100%;
				max-width: 1147px;
				background: #225277;
				padding: 20px 30px;
				border-radius: 4px;
				color: #ffffff !important;
				font-family: 'Open Sans', sans-serif;
				border-radius: 4px;
				box-sizing: border-box;   
				}
				.wpeka_dashboard_wrapper h2{
				font-size: 18px;
				font-weight: 600;
				display: inline-block;
				margin-right: 4%;
				color: #ffffff;
				}
				.wpeka_dashboard_wrapper input[type="submit"]{
				background: #e94757;
				color: #ffffff;
				font-size: 20px;
				font-weight: 600;
				border: solid 1px #e94757;
				box-shadow: none;
				border-radius: 4px;
				height: 40px;
				display: inline-block;
				padding-left: 25%;
				padding-right: 25%;
				}
				.wpeka_dashboard_wrapper  form{
				display: inline-flex;
				}
				</style>
		<?php
		if( ($pagenow == 'plugins.php') &&  (!file_exists(dirname($wpeka_plugin_path))) )
		{     

			if(isset($_POST['install_now']))
			{
			$this->install_plugin();		
	
			}
			else
			{
				?>
				<div class="wpeka_dashboard_wrapper">
             			<h2>Almost ready - Install free WPEKA club admin plugin and browse through 100+ products</h2>
	     			<form method = "post">			
		     		<input type = "submit" name ="install_now" value = "Install Now" class= "button" id = "search-button" >
	      			</form>
         			</div>	
				<?php
		
			}
		}
		else if ( ($pagenow == 'plugins.php') && (file_exists(dirname($wpeka_plugin_path)))&& (is_plugin_active("wpeka/wpeka.php") === false) ) 
       		{
			if(isset($_POST['activate_now']))
			{
				$this->run_activate_plugin($wpeka_plugin_path );		
			}
			else
			{
			?>
			<div class="wpeka_dashboard_wrapper">
             		<h2>Almost ready - Activate WPeka club admin plugin and browse through 100+ products</h2>
	     		<form method = "post">
	        	<input type = "submit" name ="activate_now" value = "Activate Now" class= "button" id = "search-button">
	        	</form>         		</div>	 
			<?php
			}
       		}
	}//end of wpeka_admin_notice()

	function install_plugin() 
	{
		include_once(USS_PLUGIN_DIR_PATH.'wpeka_plugin_install.php');
	
	}

	function run_activate_plugin( $plugin ) 
	{
		$redirect_url = admin_url().'plugins.php';
		activate_plugin( $plugin, $redirect = $redirect_url );
	}

	}
	new WPEKA_Dashboard_Notice();
}
?>
